update discovery direction
Update Discovery direction without restarting the session. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.
Update Discovery direction without restarting the session. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.
Rankhog organization API key sent as Authorization: Bearer rhog_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/agent/v1/growth/update-discovery-direction" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "org_demo", "websiteId": "site_demo", "idempotencyKey": "growth-request-1", "direction": "Find relevant comparison threads" }'{ "status": "updated", "jobId": null}{ "error": { "code": "agentic_invalid_input", "message": "Invalid capability input." }}{ "error": { "code": "agentic_unauthorized", "message": "Authentication is required." }}{ "error": { "code": "agentic_paid_plan_required", "message": "An active paid product is required." }}{ "error": { "code": "agentic_missing_scope", "message": "The required permission has not been granted." }}{ "error": { "code": "agentic_website_not_found", "message": "Product not found." }}{ "error": { "code": "agentic_idempotency_conflict", "message": "This idempotency key was already used with different input." }}{ "error": { "code": "agentic_write_rate_limited", "message": "Growth mutations are limited to 120 per actor and organization per hour." }}list reddit accounts POST
List accounts granted to this product and their current eligibility for the requested action type. Cache policy: live. Idempotency: none. Auth modes: api_key, mcp_oauth, session_bearer.
get discovery scan POST
Read saved Discovery searches, observed result positions and resulting opportunities. Historical scans may contain only partial evidence. Positions are provider placement, not independently verified Google rankings. Cache policy: live. Idempotency: none. Auth modes: api_key, mcp_oauth, session_bearer.